﻿'===========================================================================//
'                                                                           //
'  Copyright (C) 2006 - 2017                                                //
'  IDS Imaging GmbH                                                         //
'  Dimbacherstr. 6-8                                                        //
'  D-74182 Obersulm-Willsbach                                               //
'                                                                           //
'  The information in this document Is subject to change without            //
'  notice And should Not be construed as a commitment by IDS Imaging GmbH.  //
'  IDS Imaging GmbH does Not assume any responsibility for any errors       //
'  that may appear in this document.                                        //
'                                                                           //
'  This document, Or source code, Is provided solely as an example          //
'  of how to utilize IDS software libraries in a sample application.        //
'  IDS Imaging GmbH does Not assume any responsibility for the use Or       //
'  reliability of any portion of this document Or the described software.   //
'                                                                           //
'  General permission to copy Or modify, but Not for profit, Is hereby      //
'  granted,  provided that the above copyright notice Is included And       //
'  reference made to the fact that reproduction privileges were granted     //
'  by IDS Imaging GmbH.                                                     //
'                                                                           //
'  IDS cannot assume any responsibility for the use Or misuse of any        //
'  portion of this software for other than its intended diagnostic purpose  //
'  in calibrating And testing IDS manufactured cameras And software.        //
'                                                                           //
'===========================================================================//

' Developer Note: I tried To Let it As simple As possible.
' Therefore there are no functions asking for the newest driver software Or freeing memory beforehand, ect.
' This program Is solely here to show one of the simplest ways to interact with an IDS Camera through the uEye API.
' (XS Cameras are Not supported)

Public Class SimpleSingleGrab_VB

    'To use the .NET interface you have to create a uEye .NET object
    Dim WithEvents Camera As New uEye.Camera()
    Dim DisplayHandle As IntPtr

    Private Sub uEye_DotNet_Simple_Live_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        DisplayHandle = DisplayWindow.Handle

        'Initialize the camera
        Camera.Init()

        'Allocate an default image memory
        Camera.Memory.Allocate()

        'Capture a single image with
        Camera.Acquisition.Freeze()

    End Sub

    Private Sub EventHandler() Handles Camera.EventFrame

        'Display the image on the screen
        Camera.Display.Render(DisplayHandle, uEye.Defines.DisplayRenderMode.FitToWindow)

    End Sub



    'The following are key definitions
    Private Sub Single_Frame_Click(sender As Object, e As EventArgs) Handles Single_Frame.Click

        'Capture a single frame
        Camera.Acquisition.Freeze()

    End Sub


    Private Sub Live_Click(sender As Object, e As EventArgs) Handles Live.Click

        'Capture a live image
        Camera.Acquisition.Capture()

        'Currently we are working without Ring-Buffer
        'For the purpose of showing this example that's enough
        'But if you want to do some Image data processing you'll need to adjust the settings

    End Sub

    Private Sub Quit_Click(sender As Object, e As EventArgs) Handles Quit.Click

        'Free the allocated image memory and closes the program
        Camera.Exit()
        Close()

    End Sub

    Private Sub DisplayWindow_Click(sender As Object, e As EventArgs) Handles DisplayWindow.Click

    End Sub
End Class